# REHASH

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO
AUTHOR
COPYRIGHT

## NAME

rehash - Cyrus IMAP documentation

rehash checks and rehashes Cyrus directories based on the hashing settings in the imapd.conf.

Use in the event you choose to change your hashing settings. For more information on directory hashing, see the documentation on Directory Hashing.

## SYNOPSIS

rehash [-v] [-n] [-f|-F] [-i|-I] imapd.conf

## DESCRIPTION

rehash fixes the hashing on Cyrus directories.

It should be safe to run rehash on a running system, but it may mess things up horribly if you have some processes still running with old config, and some with new - so it is always recommended to fully shut down Cyrus, change the configuration file, run rehash, and then start Cyrus again.

## OPTIONS

imapd.conf

imapd.conf must always be provided. On a normal system this will be /etc/imapd.conf. The correct hashing settings will be read from the provided imapd.conf, or can be overridden with options.

| -v |  | In -v verbose mode, each rename command will be printed, as well as any creation or deletion of folders.
| -n |  | In -n "no change" mode, it will just print the changes. Note, verbose is always turned on in no-change mode.

-f \| -F

-f forces fulldirhash: no
-F forces fulldirhash: yes

-i \| -I

-i forces hashimapspool: no
-I forces hashimapspool: yes

## FILES

/etc/imapd.conf

## SEE ALSO

imapd.conf(5)

## AUTHOR

The Cyrus Team

## COPYRIGHT

1993â2026, The Cyrus Team